### Method

# Gtk TextIter order

#### Declaration [src]

    void
    gtk_text_iter_order (
      GtkTextIter* first,
      GtkTextIter* second
    )

#### Description [src]

Swaps the value of `first` and `second` if `second` comes before `first` in the buffer.

That is, ensures that `first` and `second` are in sequence. Most text buffer functions that take a range call this automatically on your behalf, so there’s no real reason to call it yourself in those cases. There are some exceptions, such as `gtk_text_iter_in_range()`, that expect a pre-sorted range.

#### Parameters

`second`

  Type: `GtkTextIter`

  Another `GtkTextIter`

  The data is owned by the caller of the method.